Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.expression.ast
Class AnnotationParserTokenManager

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.expression.ast.AnnotationParserTokenManager

All Implemented Interfaces:
  AnnotationParserConstants

    public class AnnotationParserTokenManager

extends Object
implements AnnotationParserConstants

Field Summary
`protected static char` | `curChar`
`static PrintStream` | `debugStream`
`protected static SimpleCharStream` | `input_stream`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface org.codehaus.aspectwerkz.annotation.expression.ast.AnnotationParserConstants
`ANNOTATION, AT, BOOLEAN, CHAR, COMMA, DEFAULT, DIGIT, DOT, EOF, EQUALS, EXPONENT, FLOAT, HEXNUMBER, INTEGER, JAVA_LETTER, JAVA_NAME, JAVA_TYPE, JAVA_TYPE_MAYBEARRAY, LEFT_BRACKET, LEFT_PARENTHEZIS, NEWLINE, OCTNUMBER, RIGHT_BRACKET, RIGHT_PARENTHEZIS, STRING, tokenImage`

Constructor Summary
`AnnotationParserTokenManager(SimpleCharStream stream)`
`AnnotationParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`static Token` | `getNextToken()`
`protected static Token` | `jjFillToken()`
`static void` | `ReInit(SimpleCharStream stream)`
`static void` | `ReInit(SimpleCharStream stream, int lexState)`
`static void` | `setDebugStream(PrintStream ds)`
`static void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public static PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### input_stream

    protected static SimpleCharStream input_stream

### curChar

    protected static char curChar

Constructor Detail

### AnnotationParserTokenManager

    public AnnotationParserTokenManager(SimpleCharStream stream)

### AnnotationParserTokenManager

    public AnnotationParserTokenManager(SimpleCharStream stream,
                                        int lexState)

Method Detail

### setDebugStream

    public static void setDebugStream(PrintStream ds)

### ReInit

    public static void ReInit(SimpleCharStream stream)

### ReInit

    public static void ReInit(SimpleCharStream stream,
                              int lexState)

### SwitchTo

    public static void SwitchTo(int lexState)

### jjFillToken

    protected static Token jjFillToken()

### getNextToken

    public static Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.